Index: compress.h
===================================================================
--- compress.h	(revision 1)
+++ compress.h	(revision 2)
@@ -28,7 +28,7 @@
  */
 
 struct z_info {
-	u_int32_t mtime;	/* timestamp */
+	time_t mtime;		/* timestamp */
 	u_int32_t crc;		/* crc */
 	u_int32_t hlen;		/* header length */
 	u_int64_t total_in;	/* # bytes in */
Index: main.c
===================================================================
--- main.c	(revision 1)
+++ main.c	(revision 2)
@@ -491,7 +491,7 @@ docompress(const char *in, char *out, co
 	}
 
 	if (!pipin && !nosave) {
-		name = basename(in);
+		name = basename((char *)in); /* LINTED const cast away */
 		mtime = (u_int32_t)sb->st_mtime;
 	}
 	if ((cookie = (*method->open)(ofd, "w", name, bits, mtime, flags)) == NULL) {
